package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialVendor;
import com.maintain.business.domain.vo.ErpMaterialVendorVo;
import com.maintain.business.domain.bo.ErpMaterialVendorBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物资供应商Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpMaterialVendorService {

    /**
     * 查询物资供应商
     */
    ErpMaterialVendorVo queryById(Long id);

    /**
     * 查询物资供应商列表
     */
    TableDataInfo<ErpMaterialVendorVo> queryPageList(ErpMaterialVendorBo bo, PageQuery pageQuery);

    /**
     * 查询物资供应商列表
     */
    List<ErpMaterialVendorVo> queryList(ErpMaterialVendorBo bo);

    /**
     * 新增物资供应商
     */
    Boolean insertByBo(ErpMaterialVendorBo bo);

    /**
     * 修改物资供应商
     */
    Boolean updateByBo(ErpMaterialVendorBo bo);

    /**
     * 校验并批量删除物资供应商信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
